Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERConstructedSequence

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.ASN1Sequence
                  |
                  +--org.bouncycastle.asn1.DERConstructedSequence

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERConstructedSequence

Deprecated. use DERSequence.

public class DERConstructedSequence
extends ASN1Sequence

Fields inherited from interface org.bouncycastle.asn1.DERTags
`BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERConstructedSequence()` Deprecated.

Method Summary
`void` | `addObject(DEREncodable obj)` Deprecated.
`int` | `getSize()` Deprecated.

Methods inherited from class org.bouncycastle.asn1.ASN1Sequence
`equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERConstructedSequence

    public DERConstructedSequence()

  Deprecated.

Method Detail

### addObject

    public void addObject(DEREncodable obj)

  Deprecated.
  Overrides:
    `addObject` in class `ASN1Sequence`

### getSize

    public int getSize()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD